<template>
  <div class="pa-5">
    <v-row>
      <v-col>
        <div style="width: 300px">
          <chart-indice
            v-if="dimension.strategies.length > 0"
            :data="dimension.strategies"
            @clicked="onStrategySelected"
          />
        </div>
      </v-col>
      <v-col class="text-center">
        <div>
          Puntaje de la dimensión
          <span class="font-weight-bold">{{ dimension.name }}</span>
        </div>
        <div class="tway-title display-3 my-5">{{ dimension.idx }} / 5.0</div>
        <div class="mt-3 text--secondary caption">
          Selecciona una de las barras de estrategias del gráfico para buscar
          especialistas que te puedan ayudar a mejorar!
        </div>
      </v-col>
    </v-row>
    <div v-if="selectedStrategy.name === ''" class="mt-5 text-center">
      <hr />
      <div>
        <v-icon>mdi-arrow-up</v-icon>
      </div>
      <span class="text--secondary caption">
        Selecciona una de las barras de estrategias del gráfico para buscar
        especialistas que te puedan ayudar a mejorar!
      </span>
    </div>
    <div v-if="selectedStrategy.name !== ''" class="mt-5">
      <div class="tway-title headline mb-3 text--tway-violet">
        {{ selectedStrategy.name }}: Especialistas recomendados
      </div>
      <dimension-specialists
        :dimension="dimension.name"
        :strategy="selectedStrategy"
      />
    </div>
  </div>
</template>

<script>
import ChartIndice from "@/components/charts/ChartIndice";
import DimensionSpecialists from "@/components/DimensionSpecialists";

export default {
  name: "DimensionDetail",

  components: {
    ChartIndice,
    DimensionSpecialists,
  },

  props: {
    dimension: {
      type: Object,
      required: true,
      default: () => ({}),
    },
  },

  data: () => ({
    selectedStrategy: {
      name: "",
      idx: "",
    },
    specialists: [],
  }),

  methods: {
    onStrategySelected(selected) {
      this.selectedStrategy = selected;
    },
  },
};
</script>
